{*
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2020 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<style>
    span.token-input {
        font-family: Open Sans,Helvetica,Arial,FontAwesome,sans-serif!important;
        background-color: #fff;
        background-image: none;
        border: 1px solid #c7d6db;
        border-radius: 3px;
        color: #555;
        display: block;
        font-size: 12px;
        height: 31px;
        line-height: 1.42857;
        padding: 6px 8px;
    }
    .upgradeContent ul {
        list-style: none;
        padding-left: 0;
        margin: 0;
    }
    .upgradeContent ul li:first-child {
        margin-top: 15px;
    }
    .upgradeContent ul li:before {
        margin-right: 5px;
    }
    .upgradeContent ul li.success:before {
        content: '✓';
    }
    .upgradeContent ul li.info:before {
        content: '!';
    }
    .upgradeContent ul li.error:before {
        content: '×';
    }
</style>
<div class="row">
    <div class="col-sm-12 col-md-6 col-md-offset-3">
        {if !$tracking || !$conversion}
            <div class="bootstrap">
                <div class="module_confirmation conf confirm alert alert-danger">Chybí jeden nebo oba měřící kódy. Vyžádejte si dokončení konfigurace.</div>
            </div>
        {/if}
        <div class="panel">
            <div class="panel-heading"><i class="icon-lock"></i> Nastavení zabezpečení komunikace</div>
            <div class="form-wrapper">
                <div class="form-group">
                    <label class="control-label col-lg-3">
                        Token:
                    </label>

                    <div class="col-lg-9">
                        <span class="token-input">{$token}</span>
                        <p class="help-block">
                            <strong>Tip:</strong> Token zkopírujte do svého účtu na webu <a href="https://www.affilbox.cz/" target="_blank">affilbox.cz</a>
                        </p>
                    </div>
                </div>
            </div>
            <!-- /.form-wrapper -->
            <div class="clearfix"></div>
        </div>
        {if !$configuration}
            <div class="bootstrap">
                <div class="module_confirmation conf confirm alert alert-danger">Nastavení celkové ceny není dokončeno. Vyberte jednu z možností níže:</div>
            </div>
        {/if}
        {$form}
        {if $upgrade == 'available'}
            <div class="bootstrap">
                <div class="module_confirmation conf confirm alert alert-info">
                    Je k dispozici nová verze modulu. <a href="#" class="upgradeTrigger btn btn-primary pull-right">Aktualizovat</a>
                    <div class="clearfix"></div>
                    <div class="upgradeContent">
                        <ul>
                        </ul>
                    </div>
                </div>
            </div>
        {/if}
    </div>
</div>
<script>
    $('.upgradeTrigger').click(function() {
        $('.upgradeContent ul').html('<li>Updating...</li>');
        $.ajax({
            async: true,
            url : '/modules/affilbox/upgrade/upgrade.php',
            type: "POST",
                success: function(response) {
                    $('.upgradeContent ul').html(response);
                    $('.upgradeTrigger').hide();
                }
        });
    });
</script>
